// Header File
// Created 1/1/2006; 9:54:44 AM
// Tron v1.00 - By Tyler Cassidy
// (C) Copyright 2006 Tyler Cassidy. All Rights Reserved.
// Email: altadogsledder89@yahoo.ca
//        tyler@tylerc.org
// Website: none yet
// ** Note: I will not be responsible for anything that this game game does to your calculator!

/// Lets setup some Integers and Variables for External Use
extern volatile long int timer; // Timer Integer
extern long int speed_timing; // For Speed timing
extern unsigned int game_score; // Game Score
extern short game_sequence, game_on, game_speed, game_over, game_paused; // General Shorts
extern short mm_selector, pt_selector; // Menu Shorts

/// Structures
// High Scores Structure
typedef struct {
  short num_scores;
  long score[10];
} GAMEHIGHSCORES;

// Now a Structure for our Save File
typedef struct {
	unsigned short filesize;
	GAMEHIGHSCORES game_highscores;
	char typetag[7];
} GAMESAVE;

// A Structure for gameplay, direction, etc.
typedef struct {
	short your_dir, your_x, your_y, their_dir, their_x, their_y;
	short comp_dist, comp_last_hum_dir;
} GAMEPLAY;

// Lets Activate the Structures Now Externally
extern GAMEHIGHSCORES gamehighscores; // For Game Highscores
extern GAMEPLAY gameplay; // For In-Game Information
extern GAMESAVE game_save; // For Game Saving

/// General Defintions
#define TG_LCDH (LCD_HEIGHT - 1) // Calculates LCD height, either 100 or 128

/// Keyboard Queue Setup
extern void *kbq; // For Keyboard Queue
extern unsigned short key; // For Keyboard Queue

// Voids for Saving the Screen Data
extern void *DarkPlaneData;
extern void *LightPlaneData;

/// Time for some Enumerations
enum game_seqs {INTRO_SCREEN=0,MAIN_MENU=1,PAUSE_MENU=2,QUIT_GAME=3,HIGHSCORES_MENU=4,PLAY_GAME=5,
                GAME_SETUP=6,LINKPLAY_SETUP=9}; // Main Game Sequence Enumeration
                
/// Prototypes Now
// Game Menu Prototypes
void show_intro(void);
void show_mainmenu(void);
void show_gamesettings(void);
void show_gamescores(void);
void show_playtronmenu(void);
void show_pausemenu(void);
void show_gameover(void);
void show_linkplaymenu(void);
void menu_DrawSelector(short x_left, short y_top, short x_width, short y_spacing);
void menu_MoveSelector(short mov_dir, short point_loc, short y_top, short x_left, short x_spacing, short y_spacing);
void menu_GameLogo(void);
void menu_SubGameOver(short height_mon);
void menu_DrawPanes(short width);
void MM_MoveSelector(short mov_dir);
void SM_MoveSelector(short mov_dir);

// Graphis Prototypes
extern unsigned char intlogo_l1[], intlogo_l2[], intby_spr[], game_logo[];